Core - Task # 54225

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User | want FAL to be performant

Status: Resolved Priority: Must have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-12-06 Assigned To: Steffen Ritter

Updated: 2015-01-18 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity: medium

Sprint Focus:

Subject: Optimize Performance and DB Queries for FAL

Description

- make MetaData lazy loaded again

- think of joined loading of FileData in conjunction with ProcessedFiles or FileReferences
- Optimize Indexes

- think of a way using files without DB record loading?

Subtasks:
Task # 55186: Prevent Storages to be queried over and over again Resolved

History

#1 - 2013-12-06 12:11 - Markus Klein

What do you mean with the last point?

#2 - 2013-12-07 15:53 - Steffen Ritter

- Parent task set to #54266

#3 - 2014-01-15 14:18 - Steffen Ritter

if files are requested by identifier for example - create an "wrapper" object which does not have any indexed data - if the use case only uses properties

like (publicURL or getParentFolder) than the data would not be needed.
Only if a "slow property" is queried the index data could be fetched. but depending on the use case this could be even worse......

#4 - 2015-01-18 20:59 - Ingo Schmitt
- Status changed from Accepted to Resolved
- Remaining (hours) deleted (0.0)
